Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003964TestLinkReportspublic2010-10-29 14:082010-11-14 12:07
ReporterWoody 
Assigned Toasimon 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003964: Evaluation of requirement is set to "Passed" even though all linked test cases aren't passed.
DescriptionEvaluation of the requirement should not be set to "Passed" until all linked test cases are passed.
Steps To Reproduce1.) Connect more than one test case to a requirement through "Assign Requirements ".
2.) Run and pass one of the test cases.
3.) Press "Test Reports".
4.) Press "Requirements based Report".
5.) Evaluation of the requirement is set to "Passed" even though all linked test cases aren't passed (see Requirement 4 in attachment).
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres 8.4.1
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon Evaluation.jpg [^] (208,980 bytes) 2010-10-29 14:08

- Relationships

-  Notes
(0012161)
Julian (reporter)
2010-10-29 17:36

little more information please.

platforms used?
(0012220)
Woody (reporter)
2010-11-01 07:23

The server is running on a linux machine and I'm running the client from a Windows XP Pro SP3 machine. If that's what you want to know?
(0012221)
Julian (reporter)
2010-11-01 07:25

no. platforms on testlink is what i mean.

describe a little what i have to do to reproduce this issue.
(0012227)
Woody (reporter)
2010-11-01 09:44

The program to be tested uses eclipse as a base and it's a windows application. I'm not using platforms at all in TestLink so far.

To reproduce it please follow the "Steps To Reproduce".
(0012241)
asimon (developer)
2010-11-02 09:23

Found and fixed it.
(0012493)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-29 14:08 Woody New Issue
2010-10-29 14:08 Woody File Added: Evaluation.jpg
2010-10-29 17:36 Julian Note Added: 0012161
2010-11-01 07:23 Woody Note Added: 0012220
2010-11-01 07:25 Julian Note Added: 0012221
2010-11-01 09:44 Woody Note Added: 0012227
2010-11-02 09:23 asimon Note Added: 0012241
2010-11-02 09:23 asimon Status new => resolved
2010-11-02 09:23 asimon Fixed in Version => 1.9 (Prague)
2010-11-02 09:23 asimon Resolution open => fixed
2010-11-02 09:23 asimon Assigned To => asimon
2010-11-14 12:07 fman Note Added: 0012493
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker